fuzzydl

## Class ConfigReader

- java.lang.Object
- - fuzzydl.ConfigReader

-     public class ConfigReader
      extends java.lang.Object

  Reads some configuration arguments for the reasoner.
  Author:
    Fernando Bobillo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ANYWHERE_DOUBLE_BLOCKING` Anywhere pairwise blocking applied.
    `static boolean` | `ANYWHERE_SIMPLE_BLOCKING` Anywhere simple blocking applied.
    `static boolean` | `DEBUG_PRINT` Debugging mode.
    `static double` | `EPSILON` Precision of the reasoner.
    `static int` | `MAX_INDIVIDUALS` Maximum number of new individuals that will be created.
    `static int` | `NUMBER_DIGITS` Number of digits of precision.
    `static int` | `OPTIMIZATIONS` Level of the optimizations applied. 0 disables optimizations; a positive value enables optimizations.
    `static boolean` | `RULE_ACYCLIC_TBOXES` Rule acyclic TBox optimization applied.
    `static boolean` | `SHOW_VERSION` Show the version of the reasoner.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigReader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `loadParameters(java.lang.String configFile, java.lang.String[] args)` Load parameters for the reasoner.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANYWHERE_DOUBLE_BLOCKING

          public static boolean ANYWHERE_DOUBLE_BLOCKING

      Anywhere pairwise blocking applied. false disables anywhere double blocking; true enables anywher edouble blocking.

    - #### ANYWHERE_SIMPLE_BLOCKING

          public static boolean ANYWHERE_SIMPLE_BLOCKING

      Anywhere simple blocking applied. false disables anywhere simple blocking; true enables anywhere simple blocking.

    - #### DEBUG_PRINT

          public static boolean DEBUG_PRINT

      Debugging mode.

    - #### EPSILON

          public static double EPSILON

      Precision of the reasoner.

    - #### MAX_INDIVIDUALS

          public static int MAX_INDIVIDUALS

      Maximum number of new individuals that will be created.

    - #### NUMBER_DIGITS

          public static int NUMBER_DIGITS

      Number of digits of precision.

    - #### OPTIMIZATIONS

          public static int OPTIMIZATIONS

      Level of the optimizations applied. 0 disables optimizations; a positive value enables optimizations.

    - #### RULE_ACYCLIC_TBOXES

          public static boolean RULE_ACYCLIC_TBOXES

      Rule acyclic TBox optimization applied.

    - #### SHOW_VERSION

          public static boolean SHOW_VERSION

      Show the version of the reasoner.

  - ### Constructor Detail

    - #### ConfigReader

          public ConfigReader()

  - ### Method Detail

    - #### loadParameters

          public static void loadParameters(java.lang.String configFile,
                                            java.lang.String[] args)

      Load parameters for the reasoner. The input is a configuration file or an array of Strings.
      Parameters:
        `configFile` - Configuration file.
        `args` - Array or parameters.